Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.odmg
Class QueryParameterTypeInvalidException  view QueryParameterTypeInvalidException download QueryParameterTypeInvalidException.java

java.lang.Object
  extended byjava.lang.Throwable
      extended byjava.lang.Exception
          extended byorg.odmg.ODMGException
              extended byorg.odmg.QueryException
                  extended byorg.odmg.QueryParameterTypeInvalidException
All Implemented Interfaces:
java.io.Serializable

public class QueryParameterTypeInvalidException
extends QueryException

This exception is thrown when the type of a query parameter is not compatible with the expected type.

Version:
ODMG 3.0

Nested Class Summary
 
Nested classes inherited from class java.lang.Throwable
 
Field Summary
 
Fields inherited from class java.lang.Exception
 
Fields inherited from class java.lang.Throwable
 
Constructor Summary
QueryParameterTypeInvalidException()
          Construct an instance of the exception.
QueryParameterTypeInvalidException(java.lang.String msg)
          Construct an instance of the exception with a message.
 
Methods inherited from class java.lang.Throwable
fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait
 

Constructor Detail

QueryParameterTypeInvalidException

public QueryParameterTypeInvalidException()
Construct an instance of the exception.


QueryParameterTypeInvalidException

public QueryParameterTypeInvalidException(java.lang.String msg)
Construct an instance of the exception with a message.